Bug 705084 - perl-SOAP-Lite: do not depend on mod_perl
Summary: perl-SOAP-Lite: do not depend on mod_perl
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-SOAP-Lite
Version: 15
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
Assignee: Petr Šabata
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-05-16 15:16 UTC by Tomas Hoger
Modified: 2011-05-25 18:56 UTC (History)
2 users (show)

Fixed In Version: perl-SOAP-Lite-0.712-4.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-05-25 03:13:03 UTC


Attachments (Terms of Use)

Description Tomas Hoger 2011-05-16 15:16:39 UTC
Description of problem:
perl-SOAP-Lite packages got their Requires / BuildRequires cleaned up as part of the rebase to 0.712:

http://pkgs.fedoraproject.org/gitweb/?p=perl-SOAP-Lite.git;a=commitdiff;h=7ef3be6ac53152a2f4eca7c906829af3631d9b73

As part of this cleanup, it got new dependency on mod_perl (via Apache2::*) and hence httpd too.  This is unneeded for use cases where the package is used to provide XMLRPC client functionality.

The code using those extra modules should be optional and only be used when running under mod_perl.  It would be nice to not have RPM requires for Apache2::* to avoid extra deps in use cases when they are not needed.  Omitting should not have any negative impact on those use case where it's expected to be used by mod_perl-run scripts.  Similarly, perl-SOAP-Lite seems to allow using FCGI module (HTTP::FCGI transport), but does not require perl(FCGI).

Version-Release number of selected component (if applicable):
perl-SOAP-Lite-0.712-3

Additional info:
This obviously is about trade-off related to optional requirements - more complete (and correct) requirements vs. requirements not longer than required in typical use case.

Comment 1 Petr Šabata 2011-05-17 12:08:21 UTC
diff --git a/perl-SOAP-Lite.spec b/perl-SOAP-Lite.spec
index d9a200d..a48e962 100644
--- a/perl-SOAP-Lite.spec
+++ b/perl-SOAP-Lite.spec
@@ -1,6 +1,6 @@
 Name:       perl-SOAP-Lite
 Version:    0.712
-Release:    3%{?dist}
+Release:    4%{?dist}
 Summary:    Client and server side SOAP implementation
 License:    GPL+ or Artistic
 Group:      Development/Libraries
@@ -31,10 +31,6 @@ BuildRequires:  perl(IO::Socket::SSL)
 BuildRequires:  perl(Compress::Zlib)
 
 Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
-Requires:       perl(Apache2::Const)
-Requires:       perl(Apache2::RequestIO)
-Requires:       perl(Apache2::RequestRec)
-Requires:       perl(Apache2::Util)
 Requires:       perl(Compress::Zlib)
 Requires:       perl(Encode)
 Requires:       perl(Errno)
@@ -92,6 +88,11 @@ make test
 %{_mandir}/man1/*
 
 %changelog
+* Tue May 17 2011 Petr Sabata <psabata@redhat.com> - 0.712-4
+- Do not require Apache2::*; this introduces mod_perl/httpd dependencies
+  This is optional and needed only when running under mod_perl which provides
+  those modules. (#705084)
+

Comment 2 Fedora Update System 2011-05-17 12:36:40 UTC
perl-SOAP-Lite-0.712-4.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/perl-SOAP-Lite-0.712-4.fc13

Comment 3 Fedora Update System 2011-05-17 12:37:02 UTC
perl-SOAP-Lite-0.712-4.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/perl-SOAP-Lite-0.712-4.fc14

Comment 4 Fedora Update System 2011-05-17 12:37:24 UTC
perl-SOAP-Lite-0.712-4.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/perl-SOAP-Lite-0.712-4.fc15

Comment 5 Fedora Update System 2011-05-17 20:55:25 UTC
Package perl-SOAP-Lite-0.712-4.fc14:
* should fix your issue,
* was pushed to the Fedora 14 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing perl-SOAP-Lite-0.712-4.fc14'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/perl-SOAP-Lite-0.712-4.fc14
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2011-05-25 03:12:54 UTC
perl-SOAP-Lite-0.712-4.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2011-05-25 18:54:34 UTC
perl-SOAP-Lite-0.712-4.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2011-05-25 18:56:33 UTC
perl-SOAP-Lite-0.712-4.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.